Files
List uploaded files (keyset paginated)
GET
/filesAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
cursor?string
limit?integer
Range
1 <= value <= 100Default
20readiness?string
Value in
- "ready"
- "processing"
- "failed"
kind?string
Value in
- "image"
- "video"
ids?string
organization?string
Organization slug (OAuth actors with several orgs); API keys imply theirs.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/files"{ "items": [ { "id": "string", "kind": "image", "readiness": "ready", "status": "pending_upload", "scan_status": "unscanned", "mime_type": "string", "bytes": 0, "width": 0, "height": 0, "duration_ms": 0, "variants": [ { "name": "string", "width": 0, "height": 0, "bytes": 0, "mime_type": "string" } ], "error": { "reason": "too_large", "message": "string" }, "created_at": "string", "url": "string", "url_expires_in_seconds": 0 } ], "next_cursor": "string"}{ "error": { "code": "string", "message": "string", "reason": "string", "index": 0, "request_id": "string" }}{ "error": { "code": "string", "message": "string", "reason": "string", "index": 0, "request_id": "string" }}